std::atomic::load(3)

NAME
std::atomic::load - std::atomic::load

Synopsis
   T load( std::memory_order order (1) (since C++11)
               = std::memory_order_seq_cst ) const noexcept;
   T load( std::memory_order order (2) (since C++11)
               = std::memory_order_seq_cst ) const volatile noexcept;
   Atomically loads and returns the current value of the atomic variable. Memory is
   affected according to the value of order.
   If order is one of std::memory_order_release and std::memory_order_acq_rel, the
   behavior is undefined.
   It is deprecated if std::atomic<T>::is_always_lock_free is false and (since C++20)
   overload (2) participates in overload resolution.

Parameters
   order - memory order constraints to enforce

Return value
   The current value of the atomic variable.

See also
   operator T loads a value from an atomic object
                        (public member function)
   atomic_load
   atomic_load_explicit atomically obtains the value stored in an atomic object
   (C++11) (function template)
   (C++11)